<template>
    <block type="ti-block" v-bind="params" :class="getClassBlock">
		<div class="ti__image--full" v-if="content.image && content.fullImage && windowWidth >= 768" :style="{backgroundImage: 'url(' + content.image + ')'}"></div>
        <div class="container">
        	<div class="ti__inner">
        		<div class="ti__content">
            		<section-title v-if="params.header" v-bind="params.header"></section-title>
            		<div class="text-block">
            			<!-- Небольшой костыль v-html нужен тег -->
            			<div class="text-block" v-html="content.text"></div>
            			<!-- <div class="buttons" :class="{'justify-content-between' : content.image}" v-if="buttons">
				            <a 
				            	v-for="(btn, index) in buttons"
				            	:href="btn.button.url"
				            	:class="['button', 'button--' + btn.color, {'button--dots' : btn.dots} ]"
								:key="index"
				            >
				            {{btn.button.title}}</a>
				        </div> -->
            		</div>
        		</div>
	            <div class="ti__image" v-if="content.image && !content.fullImage || windowWidth < 768">
	                <img :src="content.image" alt="">
	            </div>
        	</div>
        </div>
    </block>
</template>

<script>
	export default {
	    props: {
			content: {
				default: () => {
					return {
						text: 'Default text',
						image: 'img/content/ti.jpg',
						leftImage: false,
						fullImage: false
					}
				}
			},
			params: {
				default: () => ({})
			},
	    },
		data() {
			return {
				windowWidth: this.getWindowWidth()
			}
		},
		computed: {
			getClassBlock: function(){
				return {
					'ti--left-image' : this.content.leftImage,
					'ti--full-image' : this.content.fullImage,
				}
			}
		},
		mounted () {
			this.$nextTick(() => {
				window.addEventListener('resize', () => {
					this.windowWidth = this.getWindowWidth();
				});
			})
		},
		methods: {
			getWindowWidth () {
				return window.innerWidth;
			}
		}
	}
</script>